设为首页收藏本站

ZMX - IT技术交流论坛 - 无限Perfect,追求梦想 - itzmx.com

 找回密码
 注册论坛

QQ登录

只需一步,快速开始

新浪微博账号登陆

只需一步,快速开始

用百度帐号登录

只需两步,快速登录

搜索
查看: 92|回复: 1

kangle环境在Linux centos中默认是5.3.3,计划任务指定php737版本运行脚本的方法

[复制链接]
 成长值: 25135

签到天数: 3074 天

[LV.Master]伴坛终老

发表于 2020/4/24 20:12 | 显示全部楼层 |阅读模式 |Google Chrome 81.0.4044.122|Windows 10
天涯海角搜一下: 百度 谷歌 360 搜狗 有道 雅虎 必应 即刻
kangle环境在Linux centos中默认是5.3.3,计划任务指定php737版本运行脚本的方法

有些脚本程序比如说一个shell.php文件,需要使用php7以上版本运行

php -v执行,打印出来版本号为5.3.3

这时候就需要用第三方php版本来执行了

例如安装php737后执行打印
/vhs/kangle/ext/tpl_php737/bin/php -v

-c 指定php.ini路径
/vhs/kangle/ext/tpl_php737/bin/php -c /vhs/kangle/ext/tpl_php737/php-templete.ini

然后指向脚本程序
/root/shell.php 参数

利用php完整运行命令
/vhs/kangle/ext/tpl_php737/bin/php -c /vhs/kangle/ext/tpl_php737/php-templete.ini /root/shell.php 参数

默认的php -v 5.3.3版本是和系统挂钩的
centos6是5.3
centos7是5.4


或者换个思路
mv /usr/bin/php /usr/bin/php.bak
然后加个软链接映射到/vhs/kangle/ext/tpl_php737/bin/php
也可以试试
ln -s /vhs/kangle/ext/tpl_php737/bin/php /usr/bin/php
然后执行 /usr/bin/php -v
应该就是显示7.3.7版本了
欢迎光临IT技术交流论坛:http://bbs.itzmx.com/
回复

使用道具 举报

签到天数: 700 天

[LV.9]以坛为家II

发表于 2020/4/25 00:54 | 显示全部楼层 |Google Chrome 81.0.4044.122|Windows 10
[发帖际遇]: 不可名 乐于助人,奖励 9 贡献. 幸运榜 / 衰神榜
欢迎光临IT技术交流论坛:http://bbs.itzmx.com/
回复 支持 反对

使用道具 举报

您需要登录后才可以回帖 登录 | 注册论坛 新浪微博账号登陆用百度帐号登录

本版积分规则

手机版|Archiver|Mail me|网站地图|IT技术交流论坛 ( 闽ICP备13013206号-7 )

GMT+8, 2020/6/3 08:09 , Processed in 0.149549 second(s), 31 queries , Gzip On, MemCache On.

Powered by itzmx! X3.4

© 2011- sakura

快速回复 返回顶部 返回列表